# Uses of Interface
org.eclipse.emf.compare.Equivalence

Packages that use Equivalence
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.util

## Uses of Equivalence in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return Equivalence
Modifier and Type
Method
Description
`Equivalence`
CompareFactory.`createEquivalence()`
Returns a new object of class 'Equivalence'.
`Equivalence`
Diff.`getEquivalence()`
Returns the value of the 'Equivalence' reference.
Methods in org.eclipse.emf.compare that return types with arguments of type Equivalence
Modifier and Type
Method
Description
`EList<Equivalence>`
Comparison.`getEquivalences()`
Returns the value of the 'Equivalences' containment reference list.
Methods in org.eclipse.emf.compare with parameters of type Equivalence
Modifier and Type
Method
Description
`void`
Diff.`setEquivalence(Equivalence value)`
Sets the value of the '`Equivalence`' reference.

## Uses of Equivalence in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement Equivalence
Modifier and Type
Class
Description
`class`
`EquivalenceImpl`
An implementation of the model object 'Equivalence'.
Fields in org.eclipse.emf.compare.impl declared as Equivalence
Modifier and Type
Field
Description
`protected Equivalence`
DiffImpl.`equivalence`
The cached value of the '`Equivalence`' reference.
Fields in org.eclipse.emf.compare.impl with type parameters of type Equivalence
Modifier and Type
Field
Description
`protected EList<Equivalence>`
ComparisonImpl.`equivalences`
The cached value of the '`Equivalences`' containment reference list.
Methods in org.eclipse.emf.compare.impl that return Equivalence
Modifier and Type
Method
Description
`Equivalence`
DiffImpl.`basicGetEquivalence()`
`Equivalence`
CompareFactoryImpl.`createEquivalence()`
`Equivalence`
DiffImpl.`getEquivalence()`
Methods in org.eclipse.emf.compare.impl that return types with arguments of type Equivalence
Modifier and Type
Method
Description
`EList<Equivalence>`
ComparisonImpl.`getEquivalences()`
Methods in org.eclipse.emf.compare.impl with parameters of type Equivalence
Modifier and Type
Method
Description
`NotificationChain`
DiffImpl.`basicSetEquivalence(Equivalence newEquivalence, NotificationChain msgs)`
`void`
DiffImpl.`setEquivalence(Equivalence newEquivalence)`

## Uses of Equivalence in org.eclipse.emf.compare.util

Methods in org.eclipse.emf.compare.util with parameters of type Equivalence
Modifier and Type
Method
Description
`T`
CompareSwitch.`caseEquivalence(Equivalence object)`
Returns the result of interpreting the object as an instance of 'Equivalence'.